import { userClient, type VerifyServer } from '@/apis';
import { unwrapResponse } from '@/utils';

export const batchVerifyApi = async (options?: { signal?: AbortSignal }) => {
  const { signal } = options ?? {};
  const endpoint = `/api/ndm/ndmKeepAlive/batchVerify`;
  const resp = await userClient.post<VerifyServer[]>(endpoint, {}, { retRaw: true, timeout: 5000, signal });
  const data = unwrapResponse(resp);
  return data;
};
